import React from "react";
import { NavLink } from "react-router-dom";
import { useTranslation } from "react-i18next";

const Navigation = () => {
  const { t } = useTranslation();
  const activeStyle = { color: "#F15B2A" };

  return (
    <>
      <NavLink to="/" activeStyle={activeStyle} exact>
        {t("Menu.Home")}
      </NavLink>
      {" | "}
      <NavLink to="/sessions" activeStyle={activeStyle}>
        {t("Menu.Sessions")}
      </NavLink>
      {" | "}
      <NavLink to="/about" activeStyle={activeStyle}>
        {t("Menu.About")}
      </NavLink>
    </>
  );
};

Navigation.propTypes = {};

export default Navigation;
