import React, { useEffect } from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import PropTypes from "prop-types";
import SessionListComponent from "./SessionListComponent";
import { loadServerSessions } from "../actionCreators";

const SessionContainer = ({ actions, sessions }) => {
  useEffect(() => {
    actions.loadServerSessions();
  }, []);

  return <SessionListComponent sessions={sessions} />;
};

SessionContainer.propTypes = {
  actions: PropTypes.object.isRequired,
  sessions: PropTypes.array.isRequired
};

function mapStateToProps(state) {
  return {
    sessions: state.sessions
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: bindActionCreators({ loadServerSessions }, dispatch)
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(SessionContainer);
